@import "./normalize.css";

@import "../components/Chat/style.css";
@import "../components/Chat/Options/style.css";
@import "../components/Hero/HeroIcons/style.css";
@import "../components/Hero/HeroText/style.css";
@import "../components/CompanyLegal/style.css";
@import "../components/CookieBanner/style.css";
@import "../components/Header/style.css";
@import "../components/Popup/style.css";
@import "../components/Chat/FinalForm/style.css";

/* =================== БАЗОВЫЕ =================== */
* {
  box-sizing: border-box;
}

html {
  height: auto;
}

body {
  margin: 0;
  font-family: Arial, sans-serif;
  background: transparent;
  letter-spacing: 0.3px;
  font-size: 13px;
  overflow-y: auto;
  min-height: 100vh;
  position: relative;
}

body::before {
  content: "";
  position: fixed;
  inset: 0;
  background-image: url("../images/bg.jpg");
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
  z-index: -1;
  pointer-events: none;
  opacity: 1;
  will-change: transform;
}

.main {
  position: relative;
  z-index: 1;
  width: 100%;
  max-width: 830px;
  margin: 0 auto;
}

@media (max-width: 720px) {
  .main {
    max-width: 530px;
  }
}
